Package org.spongepowered.asm.launch.platform

## Interface IMixinPlatformServiceAgent

All Superinterfaces:
  `IMixinPlatformAgent`

    public interface IMixinPlatformServiceAgent
    extends IMixinPlatformAgent

Service agents provide additional platform-specific extensions leveraged by mixin services. Implementing this interface on an agent class will cause an additional instance to be spun up by the service.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.spongepowered.asm.launch.platform.IMixinPlatformAgent

`IMixinPlatformAgent.AcceptResult`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`java.util.Collection<IContainerHandle>` `getMixinContainers()` Get environment-specific mixin containers
`java.lang.String` `getSideName()` Attempt to determine the side name from the current environment.
`void` `init()` Perform initialisation-stage logic for this agent
`void` `unwire()` Deprecated. temporary
`void` `wire​(MixinEnvironment.Phase phase, IConsumer<MixinEnvironment.Phase> phaseConsumer)` Deprecated. temporary

### Methods inherited from interface org.spongepowered.asm.launch.platform.IMixinPlatformAgent

`accept, getPhaseProvider, initPrimaryContainer, inject, prepare`

### Method Detail

#### init

    void init()

Perform initialisation-stage logic for this agent

#### getSideName

    java.lang.String getSideName()

Attempt to determine the side name from the current environment. Return `null` if the side name cannot be determined by this agent. Return side name or `Constants.SIDE_UNKNOWN` if the agent is able to determine the side.

#### getMixinContainers

    java.util.Collection<IContainerHandle> getMixinContainers()

Get environment-specific mixin containers

#### wire

    @Deprecated
    void wire​(MixinEnvironment.Phase phase,
              IConsumer<MixinEnvironment.Phase> phaseConsumer)

Deprecated.
temporary
Temp wiring

Parameters:
  `phase` - Initial phase
  `phaseConsumer` - Phase setter callback

#### unwire

    @Deprecated
    void unwire()

Deprecated.
temporary
Temp wiring - Called when the DEFAULT phase is started